<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     	throwExceptions="false"
	    internalLogFile="${basedir}/log/nlog.txt"
	    internalLogLevel="Error">

  <!-- CUSTOM DEPLOY SETTING - CHECK SETTING BEFORE DEPLOY -->
  <variable name="logDirectory" value="${basedir}/log"/>
  <variable name="logFilename" value="rcsidekick"/>

  <targets>
    <default-wrapper xsi:type="AsyncWrapper">
    </default-wrapper>
    <target
			name="trace_file"
			xsi:type="File"
			fileName="${logDirectory}/${logFilename}.trace.txt"
			archiveFileName="${logDirectory}/archives/trace/${logFilename}.trace.{#####}.txt"
			archiveNumbering="Rolling"
			archiveEvery="Day"
			maxArchiveFiles="3"
			concurrentWrites="true"/>
    <target
			name="info_file"
			xsi:type="File"
			fileName="${logDirectory}/${logFilename}.info.txt"
			archiveFileName="${logDirectory}/archives/info/${logFilename}.info.{#####}.txt"
			archiveNumbering="Rolling"
			archiveEvery="Day"
			maxArchiveFiles="3"
			concurrentWrites="true"/>
    <target
			name="debug_file"
			xsi:type="File"
			fileName="${logDirectory}/${logFilename}.debug.txt"
			archiveFileName="${logDirectory}/archives/debug/${logFilename}.debug.{#####}.txt"
			archiveNumbering="Rolling"
			archiveEvery="Day"
			maxArchiveFiles="30"
			concurrentWrites="true"/>
    <target
			name="error_file"
			xsi:type="File"
			fileName="${logDirectory}/${logFilename}.error.txt"
			archiveFileName="${logDirectory}/archives/error/${logFilename}.errorLog.{#####}.txt"
			archiveNumbering="Rolling"
			archiveEvery="Day"
			maxArchiveFiles="180"
			concurrentWrites="true"/>
  </targets>
  <rules>

    <!-- Trace logging -->
    <!--
		-->
    <logger name="*" minlevel="Trace" writeTo="trace_file" />

    <!-- Info logging -->
    <!--
    <logger name="*" minlevel="Info" writeTo="info_file" />
		-->

    <!-- Debug logging -->
    <!--
    <logger name="*" minlevel="Debug" writeTo="debug_file" />
		-->

    <!-- Error logging -->
    <!--
    <logger name="*" minlevel="Error" writeTo="error_file" />
		-->

    <!-- This is always the line line for logging rules -->
    <logger name="*" final="true" />
  </rules>
</nlog>